/*
 * Created on Jan 11, 2005
 *
 * Test cases directly related Person
 */
package gov.va.med.esr.common.persistent.history;

import gov.va.med.esr.common.model.ee.PrisonerOfWar;
import gov.va.med.esr.common.model.registry.Registry;

/**
 * @author DNS   CHENJ2
 *
 * Test pow registry history
 **/
public class POWRegistryHistoryTest extends AbstractRegistryHistoryTest {

	private static String registryId = "20353697";

	private static String historyDAOName = "powRegistryHistoryDAO";


	protected void printHistoryData(Registry r) {
		super.printHistoryData(r);
		if (r != null) {
			PrisonerOfWar pow = (PrisonerOfWar) r;
			printSet("Episodes", pow.getEpisodes());
		}
	}

	protected String getHistoryDAOName() {
		return historyDAOName;
	}

	protected String getRegistryId() {
		return registryId;
	}
}